Run of lintian-fixes for gomoku.app

Try this locally (using the lintian-brush package):

debcheckout gomoku.app
cd gomoku.app
lintian-brush --exclude=uses-debhelper-compat-file

Merge these changes:

git pull https://janitor.debian.net/git/gomoku.app lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 4aedd5f..346dcd6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+gomoku.app (1.2.9-5) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Bump debhelper from old 11 to 12.
+  * Update renamed lintian tag names in lintian overrides.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 17 Dec 2020 11:04:38 -0000
+
 gomoku.app (1.2.9-4) unstable; urgency=medium
 
   * Add Vcs fields.
@@ -21,7 +30,7 @@ gomoku.app (1.2.9-2) unstable; urgency=medium
   * Bump Standards Version to 3.9.7.
   * Updates gnustep Build-Depends.
   * Rewrite debian/rules and remove call to dh_desktop. (Closes: #817297).
-  * According to debian policy 9.1.1, move 
+  * According to debian policy 9.1.1, move
     /usr/lib/GNUstep/Applications/Gomoku.app/Resources dir
     to /usr/share/GNUstep/Gomoku.app:
     - provide a new debian/install file
@@ -36,7 +45,7 @@ gomoku.app (1.2.9-2) unstable; urgency=medium
   * Remove unneeded debian/docs and debian/dirs files.
   * According with lintian and #741573 don't install menu file any longer.
   * Rename lintian-override to gomoku.app.lintian-overrides and update it.
-  
+
  -- Eric Heintzmann <heintzmann.eric@free.fr>  Mon, 18 Apr 2016 00:49:28 +0200
 
 gomoku.app (1.2.9-1) unstable; urgency=low
@@ -115,7 +124,7 @@ gomoku (1.2.6-2) unstable; urgency=low
   * Added missing build-depends gnustep-make. (Closes: #240718)
   * Updated the GNUstep.sh path, and the manual page.
   * Dropped .app from debian/menu and debian/gomoku.sh
-    
+
  -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Mar 2004 00:03:43 +0200
 
 gomoku (1.2.6-1) unstable; urgency=low
diff --git a/debian/compat b/debian/compat
index b4de394..48082f7 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-11
+12
diff --git a/debian/control b/debian/control
index 12c07cd..a6b80d7 100644
--- a/debian/control
+++ b/debian/control
@@ -3,11 +3,11 @@ Section: gnustep
 Priority: optional
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>, Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), libgnustep-gui-dev (>= 0.24.0), gnustep-make
+Build-Depends: debhelper (>= 12~), libgnustep-gui-dev (>= 0.24.0), gnustep-make
 Homepage: http://www.gnustep.it/nicola/Applications/Gomoku/
 Vcs-Git: https://salsa.debian.org/gnustep-team/gomoku.app.git
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gomoku.app
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 
 Package: gomoku.app
 Architecture: any
diff --git a/debian/gomoku.app.lintian-overrides b/debian/gomoku.app.lintian-overrides
index 11792a9..caeca35 100644
--- a/debian/gomoku.app.lintian-overrides
+++ b/debian/gomoku.app.lintian-overrides
@@ -1,3 +1,3 @@
 # gomoku.app is part of the GNUstep environment
 # and thus is in section gnustep
-gomoku.app: games-package-should-be-section-games
\ No newline at end of file
+gomoku.app: game-outside-section

Debdiff

File lists identical (after any substitutions)

No differences were encountered in the control files

Full worker log Full build log